CWS umbraco 4.5

Jun 29, 2010 at 1:41 PM

Hi, i just upgraded to umbraco 4.5, the great CWS now have a few issues(xslt), in our.umbraco.org you wrote about a new version 2.0.3.

I don't know if is it too soon, but the upgrade isn't available, also when you deploy this new version is a way to upgrade? and not loose any changes/pages?

Thanks,

Coordinator
Jun 29, 2010 at 2:04 PM
Hello, If you have upgraded your site running CWS to Umbraco 4.5 you will need to update the config file to use the old legacy XML Schema. You need to update the UseLegacyXmlSchema setting in the config/UmbracoSettings.config file CWS does not have an upgrade path and never will due to the complex nature of the umbraco package, so if you want to use the NEW XML schema with your existing site you will need to browse my source code here on codeplex and look at the XSLT's and update them yourself based on these. However Doug Robar's XSLT Search that you have installed with CWS is an older version and will NOT work with the new XML schema, so like before I recommend updating the config setting or grabbing the latest version of Doug Robar's XSLT Search from http://our.umbraco.org With any upgrade of any site, make sure you take backups just in case things do not go as expected. Warren
Jun 29, 2010 at 5:00 PM
Edited Jun 29, 2010 at 8:31 PM
I'll put the setting and try, the navy.xslt is the problem(value too large to int32) in the line 36 i still can't figure it out, do i get your latest changeset? or you can see change history in your SCM of this file? Thanks in advance!
Jun 29, 2010 at 6:49 PM

Hi, I am brand new to Umbraco, so I have installed version 4.5 and am getting the same Navi.xslt issue with CWS. Unfortunately your response to the previous poster seems to be for those upgrading (and it doesn't make much sense to me!). Is there something I can do with a clean install of 4.5?

Many thanks - the CWS looks exactly what I need to get going with Umbraco!

Coordinator
Jun 29, 2010 at 8:17 PM
I am currently away from my computer, but I will look into both of your issues tomorrow. 

Warren



On 29 Jun 2010, at 19:49, "mfatic"<notifications@codeplex.com> wrote:

From: mfatic

Hi, I am brand new to Umbraco, so I have installed version 4.5 and am getting the same Navi.xslt issue with CWS. Unfortunately your response to the previous poster seems to be for those upgrading (and it doesn't make much sense to me!). Is there something I can do with a clean install of 4.5?

Many thanks - the CWS looks exactly what I need to get going with Umbraco!

Jun 29, 2010 at 10:52 PM
mfatic wrote:

Hi, I am brand new to Umbraco, so I have installed version 4.5 and am getting the same Navi.xslt issue with CWS. Unfortunately your response to the previous poster seems to be for those upgrading (and it doesn't make much sense to me!). Is there something I can do with a clean install of 4.5?

Many thanks - the CWS looks exactly what I need to get going with Umbraco!

having the same issue with my CWS install. This is a clean install of 4.5 Hosted by imgur.com
Jun 30, 2010 at 3:58 PM
Edited Jun 30, 2010 at 5:39 PM

I'm sharing a partial way to fix Navi.xslt, you have to make 2 changes:

From:<xsl:variable name="rootNode" select="$currentPage/ancestor-or-self::node [@level=1]" />

To: <xsl:variable name="rootNode" select="$currentPage/ancestor-or-self::* [@id][@level=1]" />

From: <xsl:for-each select="$currentPage/ancestor-or-self::node/node [@level = 2 and string(data[@alias='umbracoNaviHide']) != '1']">

To: <xsl:for-each select="$currentPage/ancestor-or-self::*/* [@id][@level = 2 and string(umbracoNaviHide) != '1']">

 

I don't have too much experience in umbraco, this seems to work with name, but i cant get to work the url

UPDATE: This doesn't work with child pages, i'll continue to test

Cheers,

Coordinator
Jun 30, 2010 at 8:04 PM
Hello all, Can I confirm you have installed CWS 2.0.3 which is needed to work with the new XML Schema, as version 2.0.2 will not work. Thanks, Warren
Jun 30, 2010 at 9:45 PM

Sorry, I can only see 2.0.2 for download. Where should I be looking?

Thanks.

Coordinator
Jul 1, 2010 at 7:28 AM
Edited Jul 1, 2010 at 7:36 AM
Hello,
Yes unfortunately the package repository built into Umbraco 4.5 shows the OLD CWS package (2.0.2) and not the newest version.

The best place to find all umbraco packages is to goto the community site - http://our.umbraco.org
You can download version 2.0.3 from this page on the our.umbraco.org site
http://our.umbraco.org/projects/starter-kits/creative-website-starter-%28cws%29

Don't forget to signup and become a member of the umbraco community to participate in the forums, and to vote for projects.

Thanks,
Warren
Jul 1, 2010 at 8:04 AM

Version 2.0.3 has fixed the problem.

Many thanks for your help.